- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# onyx_magp – Manage MAGP protocol on Mellanox ONYX network devices

New in version 2.5.

- Synopsis
- Parameters
- Notes
- Examples
- Return Values
- Status

## Synopsis

- This module provides declarative management of MAGP protocol on vlan interface of Mellanox ONYX network devices.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
interface - / required |  | VLAN Interface name.
magp_id - / required |  | MAGP instance number 1-255
router_ip - |  | MAGP router IP address.
router_mac - |  | MAGP router MAC address.
state - | Choices: present ← absent enabled disabled | MAGP state.

## Notes

Note

- Tested on ONYX 3.6.4000

## Examples

    - name: run add vlan interface with magp
      onyx_magp:
        magp_id: 103
        router_ip: 192.168.8.2
        router_mac: AA:1B:2C:3D:4E:5F
        interface: Vlan 1002

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
commands list | always | The list of configuration mode commands to send to the device. Sample: ['interface vlan 234 magp 103', 'exit', 'interface vlan 234 magp 103 ip virtual-router address 1.2.3.4']

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by the Ansible Community. [community]

### Authors

- Samer Deeb (@samerd)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.